BEGIN;

-- 2.0-pre1 -> 2.0-pre2
-- Aktualisiert die Liste der annerkannten Staaten. 
ALTER TABLE master_tbl DISABLE TRIGGER ALL;

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('2.0pre2/03-laender.sql', current_timestamp);

ALTER TABLE staatsangehoerigkeit_weitere_tbl ALTER value TYPE VARCHAR(47);
ALTER TABLE geburtsland_tbl ALTER value TYPE VARCHAR(47);

-- Updates
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Brunei Darussalam' where id = 22;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Côte d’Ivoire' where id = 36;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Großbritannien / Vereinigtes Königreich' where id = 48;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Großbritannien / Vereinigtes Königreich' where id = 48;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Kongo (Demokratische Republik Kongo)' where id = 78;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Kongo (Republik Kongo)' where id = 79;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Korea (Demokratische Volksrepublik, Nordkorea)' where id = 80;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Korea, (Republik Korea, Südkorea)' where id = 81;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Ehemalige jugoslawische Republik Mazedonien' where id = 104;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Republik Moldau' where id = 107;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Timor-Leste' where id = 123;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Russische Föderation' where id = 135;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Tschechische Republik' where id = 170;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Vatikan / Heiliger Stuhl' where id = 181;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Weißrussland / Belarus' where id = 186;
UPDATE staatsangehoerigkeit_weitere_tbl set value = 'Cookinseln' where id = 193;

UPDATE geburtsland_tbl set value = 'Brunei Darussalam' where id = 22;
UPDATE geburtsland_tbl set value = 'Côte d’Ivoire' where id = 36;
UPDATE geburtsland_tbl set value = 'Großbritannien / Vereinigtes Königreich' where id = 48;
UPDATE geburtsland_tbl set value = 'Großbritannien / Vereinigtes Königreich' where id = 48;
UPDATE geburtsland_tbl set value = 'Kongo (Demokratische Republik Kongo)' where id = 78;
UPDATE geburtsland_tbl set value = 'Kongo (Republik Kongo)' where id = 79;
UPDATE geburtsland_tbl set value = 'Korea (Demokratische Volksrepublik, Nordkorea)' where id = 80;
UPDATE geburtsland_tbl set value = 'Korea, (Republik Korea, Südkorea)' where id = 81;
UPDATE geburtsland_tbl set value = 'Ehemalige jugoslawische Republik Mazedonien' where id = 104;
UPDATE geburtsland_tbl set value = 'Republik Moldau' where id = 107;
UPDATE geburtsland_tbl set value = 'Timor-Leste' where id = 123;
UPDATE geburtsland_tbl set value = 'Russische Föderation' where id = 135;
UPDATE geburtsland_tbl set value = 'Tschechische Republik' where id = 170;
UPDATE geburtsland_tbl set value = 'Vatikan / Heiliger Stuhl' where id = 181;
UPDATE geburtsland_tbl set value = 'Weißrussland / Belarus' where id = 186;

-- INSERTS
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (199, 'Keine weitere Staatsbürgerschaft');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (198, 'Taiwan');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (197, 'Palästinensische Gebiete');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (196, 'Macau');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (195, 'Kosovo');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (194, 'Hongkong');

INSERT INTO geburtsland_tbl (id, value) VALUES (198, 'Taiwan');
INSERT INTO geburtsland_tbl (id, value) VALUES (197, 'Palästinensische Gebiete');
INSERT INTO geburtsland_tbl (id, value) VALUES (196, 'Macau');
INSERT INTO geburtsland_tbl (id, value) VALUES (195, 'Kosovo');
INSERT INTO geburtsland_tbl (id, value) VALUES (194, 'Hongkong');
INSERT INTO geburtsland_tbl (id, value) VALUES (193, 'Cookinseln');

UPDATE master_tbl set staatsangehoerigkeit_weitere = 199 where staatsangehoerigkeit_weitere = 193; -- keine weitere staatsbürgerschaft

-- Finish
SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER ALL;

COMMIT;
