## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='administration', action='index')}">${_('Administration')}</a></li>
  <li><a href="${h.url(controller='administration', action='overviewUser')}">${_('User overview')}</a></li>
  <li><a href="${h.url(controller='administration', action='showUser', id=c.uo.id)}">${_('Show user')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('User view')}
</%def>

<div class="row">
  <div id="content_ueberschrift" class="col-auto offset-1">
    <h3>${_('User view')}</h3>
  </div>
  <div class="col modusfield">
    <a title="${_('Edit user')}" href="${h.url(controller='administration', action='editUser', id=c.uo.id)}">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Edit user')}</title>
        <use xlink:href="#edit_editor" />
      </svg>
    </a>
    <a title="${_('Back to: User overview')}" href="${h.url(controller='administration', action='overviewUser')}">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Back to: User overview')}</title>
        <use xlink:href="#arrow-circle-left" />
      </svg>
    </a>
  </div>
</div>
<%include file="show_user_body.mako" />
