<%!  import mpulsweb.lib.helper.filters as F %>
<div class="table-responsive">
 <table class="table table-sm table-borderless summary">
    <tr>
      <td>${_('Start')}</td>
      <td>${h.dd_mm_yyyy_HH_MM(c.appointment.getStartDate())}</td>
    </tr>
    <tr>
      <td>${_('End')}</td>
      <td>${h.dd_mm_yyyy_HH_MM(c.appointment.getEndDate()) | F.NA}</td>
    </tr>
    <tr>
      <td>${_('Duration')}</td>
      <td>${c.appointment.getDuration() | F.NA}</td>
    </tr>
    <tr>
      <td>${_('Type of event')}</td>
        % if c.appointment.type == 0:
          <td>${_('regular event')}</td>
        % else:
          <td>${_('reminder')}</td>
        % endif
    </tr>
    <tr>
      <td>${_('Title')}</td>
      <td>${c.appointment.title | F.NA}</td>
    </tr>
    <tr>
      <td>${_('Description')}</td>
      <td>${c.appointment.description|F.NA,F.nl2br}</td>
    </tr>
    <tr>
      <td>${_('Trigger')}</td>
      <td>
        ${h.human_timedelta_days(c.appointment.getTrigger())|F.NA}
      </td>
    </tr>
    <tr>
      <td>${_('Done')}</td>
      <td>${h.format_boolean(c.appointment.erledigt)|F.NA}</td>
    </tr>
 </table>
</div>
