<%inherit file="main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">${_('Selected case documents')}</a></li>
  <li><a href="${h.url(controller='caseappointment', action='index', id=session.get('case').id)}">${_('Appointments list')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Event overview')}
</%def>

<div class="overviewpage">
  <div id="content_header">
    <div class="row">
      <div id="content_ueberschrift" class="col">
        <h3>${_('Event overview')}</h3>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-auto m-field">
      <h4 class="text-muted">Termine</h4>
    </div>
    % if h.hasRole(['cm']) and session.get('case').getState().getState() == 1:
      <div class="col modusfield">
          <a title="${_('Create new event')}" href="${h.url(controller='caseappointment', action='new', id=session.get('case').id)}">
            <svg class="svg-icon" aria-labelledby="title" role="img">
              <title id="title">${_('Create new event')}</title>
              <use xlink:href="#plus-circle-solid" />
            </svg>
          </a>
      </div>
    % endif
  </div>
  <%include file="/casemanagement/appointmentlist.mako" />

  <div class="row">
    <div class="col-auto m-field">
      <h4 class="text-muted">Wiedervorlagen</h4>
    </div>
    % if h.hasRole(['cm']) and session.get('case').getState().getState() == 1:
      <div class="col modusfield">
        <a title="${_('Create reminder')}" href="${h.url(controller='caseappointment', action='newReminder', id=session.get('case').id)}">
            <svg class="svg-icon" aria-labelledby="title" role="img">
              <title id="title">${_('Create reminder')}</title>
              <use xlink:href="#plus-circle-solid" />
            </svg>
          </a>
      </div>
    % endif
  </div>
  <%include file="/casemanagement/reminderlist.mako" />
</div>
