## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%namespace file="overview.mako" import="overview_table"/>

<%def name="buildNavipath()">
		${parent.buildNavipath()}
	<li><a href="${h.url(controller='document', action='globalOverview')}">${_('JMD-wide Documents')}</a></li>
</%def>

<div class="row">
  <div id="content_ueberschrift" class="col-auto">
    <h3>${_('JMD-wide Documents')}</h3>
  </div>

  % if h.hasRole(['admin']):
    <div class="col modusfield">
      <a title="${_('Add new document')}" href="${h.url(controller='document', action='globalUpload')}">
        <svg class="svg-icon" aria-labelledby="title" role="img">
          <title id="title">${_('Add new document')}</title>
          <use xlink:href="#plus-circle-solid" />
        </svg>
      </a>
    </div>
  % endif
</div>


<%def name="show_url(doc)">
${h.url(controller='document', action='globalShow', id=doc.id,
        url=doc.getName())}
</%def>

<%def name="actions(doc)">
% if h.hasRole(['admin']):
  <a title="${_('Rename')}" href="${h.url(controller='document', action='globalRename', id=doc.id)}"
     role="button">
    <svg class="svg-icon" aria-labelledby="title" role="img">
      <title id="title">${_('Rename')}</title>
      <use xlink:href="#edit" />
    </svg>
  </a>
  <a title="${_('Delete')}" href="${h.url(controller='document', action='globalDelete', id=doc.id)}"
     role="button">
    <svg class="svg-icon svg-warning" aria-labelledby="title" role="img">
      <title id="title">${_('Delete')}</title>
      <use xlink:href="#delete" />
    </svg>
  </a>
% endif
</%def>

${overview_table(show_url, actions)}
