## -*- coding: utf-8 -*-
<%inherit file="/casemanagement/main.mako"/>
<%!
   from mpulsweb.lib.navigation import get_pagename, render_navigation
%>

<%inherit file="/casemanagement/digest.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>

${self.renderMaxSavetimeInfo(c.case)}
${self.renderCaseStateInfo(c.case)}
${self.renderCaseInfo(c.case)}

${h.literal(c.formular)}

<%def name="buildNavipath()">
      	${parent.buildNavipath()}
	<li><a href="${h.url(controller='case', action='select',
                                 id=session.get('case').id, confirmed=1)}"
               onclick="return checkModification();">${_('Selected case documents')}</a></li>
        % if session.get('render_mode') == 'ro':
	<li><a href="${h.url(controller='formularpage', action='show',
                                 id=c.page_id)}"
               onclick="return checkModification();">${get_pagename(c.page_id)}</a></li>
        % else:
	<li><a href="${h.url(controller='formularpage', action='edit',
                                 id=c.page_id)}" 
               onclick="return checkModification();">${get_pagename(c.page_id)}</a></li>
        % endif
</%def>

##<%def name="buildModusfield()">
##  <div class="col p-2 align-self-end text-right">
##    <div id="modusinfo">
##    % if session.get('render_mode') == 'ro':
##      <h5>Ansichtsmodus</h5>
##    % else:
##      <h5>Bearbeitungsmodus</h5>
##    % endif
##    </div>
##    <div class="actions">
##        % if h.hasRole(['cm']) and session.get('case').getState().state not in (3,4,5):
##          % if session.get('render_mode') == 'ro':
##            <a href="${h.url(controller='formularpage', action='edit',
##                                     id=c.page_id)}" 
##                   onclick="return checkModification();"><img title="${_('Edit')}" src="/jmd/images/icons/edit_22.png"></a>
##          % else:
##            <a href="${h.url(controller='formularpage', action='show',
##                                     id=c.page_id)}" 
##                   onclick="return checkModification();"><img title="${_('Close editing')}" src="/jmd/images/icons/glasses_22.png"></a>
##          % endif
##        % endif
##        <a href="${h.url(controller='formularpage', action='printout',
##                                 id=c.page_id)}" 
##               target="_blank" onclick="return checkModification();"><img title="${_('Printout')}" src="/jmd/images/icons/print_22.png"></a>
##    </div>
##  </div>
##</%def>


<%def name="buildContentHeader()">
<div class="row">
  <div class="col-8 btn-print d-print-none">
      <a class="btn btn-primary btn-sm" role="button" href="javascript: window.print()">Drucken</a>
      ## A new case has no id - show Back button only in this situation
      % if not session.get('case').id:
      <a class="btn btn-outline-primary btn-sm" role="button" type="submit"
         href="${h.url('/case/new2')}">Zurück zu „Fallakte anlegen“
      </a>
      % else:
      <a class="btn btn-outline-primary btn-sm" role="button" type="submit"
         href="javascript: window.close()">Fenster schließen</a>
      % endif
  </div>
</div>

<div class="row">
    <div class="col" id="content_ueberschrift">
    %if not c.print_version:
      <h3>${h.literal(c.formularheader)}</h3>
    %endif
    </div>
</div>
<div class="print-sidebar">
	<div class="border-sidebar rounded p-4 ml-auto">${self.buildInfofield1()}</div>
</div>
</%def>
