YEAR=$1
DATE=${2:-`date +%Y-%m-%d`}

TRANSFERDIR=/home/mpuls/transfer-struktur
DATADIR=${TRANSFERDIR}/data/bund
IMPORTFILE=${DATADIR}/sb.jmd-${DATE}.db

while [ -e ${IMPORTFILE} ]
do
    echo "${DATE} auswertungen-strukturteil.py: Wait 0:05 for import to finish"
    sleep 300
done

/var/lib/postgresql/bin/auswertungen-strukturteil.py \
    --config /var/lib/postgresql/jmd/config/auswertungen-strukturteil.json \
    --year=${YEAR}
