-- mpuls/issue6939: Personen und Stellenanteile


-- DROP existing view and table in case the normal coaches upgrade
-- script has been applied.
DROP VIEW IF EXISTS coaches_stellen_tbl_anonym_view;
DROP TABLE IF EXISTS coaches_stellen_tbl;


CREATE TABLE coaches_stellen_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    fkz VARCHAR(60),
    personen INTEGER,
    stellenanteile NUMERIC(5, 3)
);

CREATE INDEX coaches_stellen_tbl_fkz_idx ON coaches_stellen_tbl (fkz);

CREATE OR REPLACE VIEW coaches_stellen_tbl_anonym_view
AS SELECT id, fkz, personen, stellenanteile
     FROM coaches_stellen_tbl;


GRANT SELECT ON coaches_stellen_tbl TO GROUP :cm_group;
GRANT SELECT ON coaches_stellen_tbl TO GROUP :admin_group;
