-- Upgrade script for the units fields for "Gruppenangebot"


CREATE TABLE kjp_grp_dauer_einheit_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(14) NOT NULL
);
INSERT INTO kjp_grp_dauer_einheit_tbl (id, value) VALUES (0, 'Zeitstunden');
INSERT INTO kjp_grp_dauer_einheit_tbl (id, value) VALUES (1, 'Doppelstunden');

GRANT SELECT ON kjp_grp_dauer_einheit_tbl TO GROUP :cm_group;
GRANT SELECT ON kjp_grp_dauer_einheit_tbl TO GROUP :admin_group;


ALTER TABLE rg_kjp_gruppenangebote_tbl
  ADD COLUMN kjp_grp_dauer_einheit INTEGER DEFAULT 0;
ALTER TABLE rg_kjp_gruppenangebote_tbl
  ADD FOREIGN KEY (kjp_grp_dauer_einheit)
       REFERENCES kjp_grp_dauer_einheit_tbl (id);


ALTER TABLE rg_nichtkjp_gruppenangebote_tbl
  ADD COLUMN nichtkjp_grp_dauer_einheit INTEGER DEFAULT 0;
ALTER TABLE rg_nichtkjp_gruppenangebote_tbl
  ADD FOREIGN KEY (nichtkjp_grp_dauer_einheit)
       REFERENCES kjp_grp_dauer_einheit_tbl (id);
