BEGIN;

-- Set role
SET ROLE :db_adm;

--
-- Add field aussiedlerstatus to master table (Issue 3409)
--

-- History
INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('1.3.1/03_aussiedlerstatus.sql.sql', current_timestamp);

-- Alter master tbl
ALTER TABLE master_tbl ADD COLUMN aussiedlerstatus INTEGER DEFAULT -1;
ALTER TABLE master_tbl ADD FOREIGN KEY (aussiedlerstatus) REFERENCES war_bereits_kunde_tbl (id);

-- Reactivate the role
SET ROLE postgres;

COMMIT;
