## -*- coding: utf-8 -*-
<%!  import mpulsweb.lib.helper.filters as F %>
<%inherit file="../main.mako" />
<%
  formular_labels = {'name'  : 'Usergroup name'
                      }
%>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='administration', action='index')}">${_('Administration')}</a></li>
  <li><a href="${h.url(controller='administration', action='overviewUserGroups')}">${_('Usergroup overview')}</a></li>
  <li><a href="${h.url(controller='administration', action='editUserGroup', id=c.group.id)}">${_('Edit usergroup')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Edit usergroup')}
</%def>

<div class="row">
  <div id="content_ueberschrift" class="col-auto">
     <h3>${_('Edit usergroup')}</h3>
  </div>
  <div class="col modusfield">
    <a title="${_('Back to: Usergroup overview')}" href="${h.url(controller='administration', action='overviewUserGroups')}">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Back to: Usergroup overview')}</title>
        <use xlink:href="#arrow-circle-left" />
      </svg>
    </a>
  </div>
</div>

${c.rendered_form.rendered_errors}

${c.rendered_form.rendered_form}
