## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />

<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='administration', action='index')}">${_('Administration')}</a></li>
  <li><a href="${h.url(controller='administration', action='overviewUser')}">${_('User overview')}</a></li>
  <li><a href="${h.url(controller='administration', action='newUser')}">${_('Create new user')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Create new user')}
</%def>

<div class="row">
  <div class="col-auto offset-1" id="content_ueberschrift">
    <h3>${_('Create new user')}</h3>
  </div>
  <div class="col modusfield">
    <a title="${_('Back to: User overview')}" href="${h.url(controller='administration', action='overviewUser')}">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Back to: User overview')}</title>
        <use xlink:href="#arrow-circle-left" />
      </svg>
    </a>
  </div>
</div>

<div class="formularpage col-xl-9 offset-1">
${c.rendered_form.rendered_errors}

${c.rendered_form.rendered_form}
</div>
