## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%
  formular_labels = {'name'  : _('Usergroup name')
                      }
%>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='administration', action='index')}">${_('Administration')}</a></li>
  <li><a href="${h.url(controller='administration', action='overviewUserGroups')}">${_('Usergroup overview')}</a></li>
  <li><a href="${h.url(controller='administration', action='newUserGroup')}">${_('Create new usergroup')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Create new usergroup')}
</%def>

<div class="row">
  <div class="col-auto offset-1" id="content_ueberschrift"
    <h3>${_('Create new usergroup')}</h3>
  </div>
  <div class="col modusfield">
    <a title="${_('Back to: Usergroup overview')}" href="${h.url(controller='administration', action='overviewUserGroups')}">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Back to: Usergroup overview')}</title>
        <use xlink:href="#arrow-circle-left" />
      </svg>
    </a>
  </div>
</div>
<div class="formularpage col-xl-9 offset-1">
${c.rendered_form.rendered_errors}

${c.rendered_form.rendered_form}
</div>
