<%inherit file="/casemanagement/main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">${_('Selected case documents')}</a></li>
  <li><a href="${h.url(controller='caseappointment', action='index', id=c.appointment.case_id)}">${_('Appointments list')}</a></li>
  <li><a href="#"></a>${_('Edit event')}</li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Edit event')}
</%def>

<div id="content_header">
  <div class="row">
    <div id="content_ueberschrift" class="col-auto">
      <h3>${_('Edit event')}</h3>
    </div>
    <div class="col modusfield">
      <a title="${_('Back to: Event view')}" href="${h.url(controller='caseappointment', action='show',
                       id=c.appointment_id, confirmed='0')}"
         onclick="return checkModification();">
        <svg class="svg-icon" aria-labelledby="title" role="img">
          <title id="title">${_('Back to: Event view')}</title>
          <use xlink:href="#arrow-circle-left" />
        </svg>
      </a>
    </div>
  </div>
</div>

${c.rendered_form.rendered_errors}

${c.rendered_form.rendered_form}
