## -*- coding: utf-8 -*-
<%inherit file="../casemanagement/main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li>
    <a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">
      ${_('Selected case attachment')}
    </a>
  </li>
  <li>
    <a href="${h.url(controller='casedocument', action='index', id=session.get('case').id)}">
      ${_('Attachment overview')}
    </a>
  </li>
  <li>
    <a href="${h.url(controller='casedocument', action='new', id=session['case'].id)}">
      ${_('Add attachment')}
    </a>
  </li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Add new attachment')}
</%def>

<div id="content_header">
  <div class="row">
    <div id="content_ueberschrift" class="col-auto">
       <h3>${_('Add new attachment')}</h3>
    </div>
    <div class="col modusfield">
      <a title="${_('Back to: Attachment overview')}" href="${h.url(controller='casedocument', action='index', id=session.get('case').id)}">
        <svg class="svg-icon" aria-labelledby="title" role="img">
          <title id="title">${_('Back to: Attachment overview')}</title>
          <use xlink:href="#arrow-circle-left" />
        </svg>
      </a>
    </div>
  </div>
</div>

<div>
${c.rendered_form.rendered_errors}

${c.rendered_form.rendered_form}
</div>
