## -*- coding: utf-8 -*-
<%def name="get_typ_name(id)">
    % for types in g.mpuls_config.get('logbook', 'types')[1]['options']:
        % if unicode(types[0]) == unicode(id):
            ${types[1]}
        % endif
    % endfor
</%def>

% if len(g.mpuls_config.get('logbook', 'types')) > 1:
  <div class="table-responsive">
    <table class="table table-sm table-borderless">
      <tr>
        <th scope="col">Art</th>
        <th scope="col">${_('Number of contacts')}</th>
        <th scope="col">${_('Effort (minutes)')}</th>
        <th scope="col">${_('in percent')}</th>
      </tr>
      % for class_statistic in c.eval_typ_effort['types']:
      <tr class="table-dark">
        <td>
            ${get_typ_name(class_statistic['typ'])}
        </td>
        <td>
            ${"%.f" % class_statistic['amount']}
        </td>
        <td>
            ${"%.f" % class_statistic['time']}
        </td>
        <td>
            ${"%.1f" % class_statistic['percent']}
        </td>
      </tr>
      % endfor
      <tr  class="table-success">
        <td>
            <b>${_('TOTAL')}</b>
        </td>
        <td class="num">
            ${"%.f" % c.eval_typ_effort['total']['amount']}
        </td>
        <td class="num">
            ${"%.f" % c.eval_typ_effort['total']['time']}
        </td>
        <td class="num">
            ${c.eval_typ_effort['total']['percent']}
        </td>
      </tr>
    </table>
  </div>
% endif
