## -*- coding: utf-8 -*-
<%!  import mpulsweb.lib.helper.filters as F %>
<%inherit file="/casemanagement/main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='select', id=session.get('case').id)}">${_('Selected case documents')}</a></li>
  <li><a href="#">${_('Phase in CM')}</a></li>
</%def>
<div class="dialog" />
  <h1 title=${_('Confirmation')}>
    <svg class="svg-icon-disabled" aria-labelledby="title" role="img">
      <title id="title">${_('Confirmation')}</title>
      <use xlink:href="#check" />
    </svg>
    ${c.dialog_title | F.NA}
  </h1>
  <p>${c.dialog_text | F.NA}</p>
  <div class="import_box_dialog">
    <ol>
      <li>
        ${h.literal(_('Please remember: If the modus changes a printed case file has to be delivered to the young person. Further information you will find in <a href="%s" target="_blank">Help</a>.<br>') % h.url(controller='annotations', action='help', id='datenschutz_veraenderte_daten'))} 
        <a class="button import" href="${h.url(controller='case', action='printAll', id=session.get('case').id, confirmed=0)}" target="_blank">${_('Print')}</a>
      </li>
    </ol>
  </div>
  <br/>
  <div>
      % if g.mpuls_config.is_enabled('phases', 'changemode') == 1:
        % if session.get('navigation.selectedpage') is not None:
          <a class="button import" href="${h.url(controller='formularpage', action='edit', id=session.get('navigation.selectedpage'))}">${_('Continue editing')}</a>
        % else:
          <a class="button import" href="${h.url(controller='case', action='digest', id=session.get('case').id)}">${_('Continue editing')}</a>
        % endif
      %endif
      <a class="button import" href="${c.url_ok}">${_('Back to phase overview')}</a>
  </div>
</div>
