## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%def name="buildNavipath()">
  <li><a href="${h.url(controller='usersettings', action='showSettings')}"
         onclick="return checkModification();">${_('My Account')}</a></li>
  <li><a href="#" onclick="return checkModification();">${_('Change password')}
</a></li>
</%def>
<%
  formular_labels = {'passwd'    : _('Enter new password'),
                      'passwd2'   : _('Repeat pasword'),
                      'oldpasswd' : _('Enter old password')
                      }
%>

<%def name="title()">
    ${h.get_app_title()} - ${_('Change password')}
</%def>

<div class="row">
  <div class="col-auto offset-1" id="content_ueberschrift">
     <h3>${_('Change password')}</h3>
  </div>
  <div class="col modusfield">
    <a title="${_('Back to: My Account')}" href="${h.url(controller='usersettings', action='showSettings')}">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Back to: My Account')}</title>
        <use xlink:href="#arrow-circle-left" />
      </svg>
    </a>
  </div>
</div>

<div class="formularpage col-xl-9 offset-1">
  ${self.buildFormErrors(formular_labels)}
  <p class="info-text">${_('The new password must contain of 12 letter at least and must contain 2 non-character at least. ')}</p>
  <div class="import_box_dialog">
  <form action="${h.url(controller='usersettings', action='changePasswordAction')}" method="POST" autocomplete="off">
  ${ h.csrf_token() }
  <form>
    <div class="form-row">
      <div class="form-group col-xl-4">
        <div class="text-nowrap">
          <label for="oldpasswd">
            ${_('Enter old password')}
          </label>
        </div>
        <input type="password" class="form-control" id="oldpasswd" name="oldpasswd">
      </div>
    </div>
  
    <div class="form-row">
      <div class="form-group col-xl-4">
        <div class="text-nowrap">
          <label for="passwd">
            ${_('Enter new password')}
          </label>
        </div>
        <input type="password" class="form-control" id="passwd" name="passwd">
      </div>
    </div>
  
    <div class="form-row">
      <div class="form-group col-xl-4">
        <div class="text-nowrap">
          <label for="passwd2">
            ${_('Repeat pasword')}
          </label>
        </div>
        <input type="password" class="form-control" id="passwd2" name="passwd2">
      </div>
    </div>
    </div>
      <input id="account_pw_sub" class="btn btn-primary" type="submit" value="${_('Save')}">
    </div>
  </form>
  </div>
</div>
